API Reference
List refunds
GET
/refundsQuery Parameters
offsetinteger (int32)(optional)Page number to return
limitinteger (int32)(optional)Max number of results to return
fromstring (date-time)(optional)Lower bound for the time at which the refund was created
tostring (date-time)(optional)Upper bound for the time at which the refund was created
Request
curl
curl https://gateway.pmnts-sandbox.io/v1.0/refunds?limit=2 -u TEST:TESTResponse
200Result
json
{
"successful":true,
"response":[
{
"authorization":"1531284422",
"id":"071-R-ZXZV2IQA",
"amount":349,
"refunded":"Approved",
"message":"Approved",
"card_holder":"Card Holder",
"card_number":"411111XXXXXX1111",
"card_expiry":"2022-12-31",
"card_type":"VISA",
"transaction_id":"071-R-ZXZV2IQA",
"reference":"18jfjh280",
"currency":"AUD",
"successful":true,
"transaction_date":"2018-07-11T14:47:02+10:00",
"response_code":"00",
"settlement_date":"2018-07-12",
"metadata":{},
"standalone":true,
"rrn":"071RZXZV2IQA"
},
{
"authorization":"1531280232",
"id":"071-R-PKC3V565",
"amount":1,
"refunded":"Approved",
"message":"Approved",
"card_holder":"Card holder name",
"card_number":"512345XXXXXX2346",
"card_expiry":"2023-05-31",
"card_type":"MasterCard",
"transaction_id":"071-R-PKC3V565",
"reference":"xxxxx",
"currency":"AUD",
"successful":true,
"transaction_date":"2018-07-11T13:37:12+10:00",
"response_code":"00",
"settlement_date":"2018-07-12",
"metadata":{},
"standalone":false,
"rrn":"071RPKC3V565"
}
],
"errors":[],
"test":true,
"records":2,
"total_records":23466,
"page":1,
"total_pages":11733
}400Result
json
{}